เทคนิคการแก้ปัญหาเมื่อ yum update ไม่ผ่านบน Elastix MT

Elastix Multi-Tenant for Service Provider
กฎการใช้บอร์ด
สำหรับโพสต์บทความและปัญหาเกี่ยวกับ Elastix MT

เทคนิคการแก้ปัญหาเมื่อ yum update ไม่ผ่านบน Elastix MT

โพสต์โดย nuiz » 10 ส.ค. 2015 22:43

ในบทความ วิธีการติดตั้ง Elastix MT ตอนท้ายๆบทความผมแนะนำว่าควรจะอัพเดท Elastix MT ก่อนคอนฟิกใช้งาน หากไม่สามารถอัพเดทได้จะต้องแก้ไขให้แล้วเสร็จก่อนที่จะดำเนินการต่อไปครับ

กรณีของผม ผมเจอว่าขณะกำลังอัพเดทมีข้อความฟ้อง Error แบบนี้
โค้ด: เลือกทั้งหมด
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
cracklib-python >= 2.8.6 is needed by system-config-users-1.2.106-8.el6.noarch
libuser-python >= 0.56 is needed by system-config-users-1.2.106-8.el6.noarch
system-config-users-docs is needed by system-config-users-1.2.106-8.el6.noarch
xdg-utils is needed by system-config-users-1.2.106-8.el6.noarch
** Found 5 pre-existing rpmdb problem(s), 'yum check' output follows:
system-config-keyboard-1.3.1-4.el6.i686 has missing requires of firstboot
system-config-users-1.2.106-7.el6.noarch has missing requires of cracklib-python >= ('0', '2.8.6', None)
system-config-users-1.2.106-7.el6.noarch has missing requires of libuser-python >= ('0', '0.56', None)
system-config-users-1.2.106-7.el6.noarch has missing requires of system-config-users-docs
system-config-users-1.2.106-7.el6.noarch has missing requires of xdg-utils

จากนั้น Elastix MT ก็หยุดอัพเดทไปเฉยเลย

จากข้อความข้างบน Elastix MT ฟ้องว่าขาด packages ดังต่อไปนี้
cracklib-python เวอร์ชั่น 2.8.6 ขึ้นไป เช็คดูก็ทราบว่ายังไม่ได้ติดตั้ง (รันคำสั่ง rpm -qa | grep cracklib-python ไม่มีอะไรแสดงขึ้นมา)
libuser-python เวอร์ชั่น 0.56 ขึ้นไป (รันคำสั่ง rpm -qa | grep libuser-python ไม่มีอะไรแสดงขึ้นมา)
system-config-users-docs เช็คดูก็ทราบว่ายังไม่ได้ติดตั้ง (รันคำสั่ง rpm -qa | grep system-config-users-docs ไม่มีอะไรแสดงขึ้นมา)
xdg-utils เช็คดูก็ทราบว่ายังไม่ได้ติดตั้ง (รันคำสั่ง rpm -qa | grep xdg-utils ไม่มีอะไรแสดงขึ้นมา)

เราต้องติดตั้ง 4 packages นี้ครับ รันคำสั่งนี้
โค้ด: เลือกทั้งหมด
yum -y install cracklib-python libuser-python system-config-users-docs xdg-utils

รอจนติดตั้งเสร็จ แล้วรันคำสั่งอัพเดทใหม่อีกครั้ง
โค้ด: เลือกทั้งหมด
yum -y update

ก็จะไม่มีปัญหาอะไรแล้วครับ

อย่าลืม reboot เครื่องก่อนที่จะเริ่มคอนฟิกนะครับ

บทความที่เกี่ยวข้อง
วิธีการติดตั้ง Elastix MT
** หากมีปัญหากับอุปกรณ์หรือบริการที่ทำหรือซื้อมาเอง ให้โพสต์ถามในเว็บนะครับ ขอสงวนสิทธิ์การให้ความช่วยเหลือแบบส่วนตัวเฉพาะลูกค้าที่ซื้อสินค้าและบริการจากผมเท่านั้นครับ **
** ติดต่อว่าจ้างที่เบอร์ 08-5161-9439 อีเมล์ iamaladin@gmail.com ครับ **
nuiz
Diamond Member
 
โพสต์: 4573
ลงทะเบียนเมื่อ: 24 มี.ค. 2010 09:33

ย้อนกลับไปยัง Elastix MT - The Unified Communications Solution for Service Provider

ผู้ใช้งานขณะนี้

่กำลังดูบอร์ดนี้: ไม่มีสมาชิกใหม่ และ บุคคลทั่วไป 1 ท่าน